com.h3c.util.pkt

## Class UnknownProtocol.Builder

- java.lang.Object
- - com.h3c.util.pkt.UnknownProtocol.Builder

- Enclosing class:
    UnknownProtocol

      public static class UnknownProtocol.Builder
      extends Object

  Builder (mutable) used to create new protocol instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownProtocol.Builder()` Create a new builder using the defaults:
    `UnknownProtocol.Builder(UnknownProtocol up)` Copy constructor builder initialized from the passed in protocol.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnknownProtocol` | `build()` Creates a new protocol instance from this builder.
    `UnknownProtocol` | `buildNoVerify()` Internally used by the package to create a new protocol instance from this builder when an error occurs.
    `UnknownProtocol.Builder` | `bytes(byte[] bytes)` Sets the payload bytes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownProtocol.Builder

          public UnknownProtocol.Builder()

      Create a new builder using the defaults:

           bytes = EMPTY_BYTES

    - #### UnknownProtocol.Builder

          public UnknownProtocol.Builder(UnknownProtocol up)

      Copy constructor builder initialized from the passed in protocol.
      Parameters:
        `up` - builder is initialed from this protocol's data

  - ### Method Detail

    - #### build

          public UnknownProtocol build()

      Creates a new protocol instance from this builder.
      Returns:
        the new protocol instance

    - #### buildNoVerify

          public UnknownProtocol buildNoVerify()

      Internally used by the package to create a new protocol instance from this builder when an error occurs. No verification is performed.
      Returns:
        the new protocol instance

    - #### bytes

          public UnknownProtocol.Builder bytes(byte[] bytes)

      Sets the payload bytes.
      Parameters:
        `bytes` - payload bytes
      Returns:
        this instance

Copyright © 2014. All Rights Reserved.